function verify2(in)

if strcmp(inputname(1),'wmonkey')
  load cheesy wm
  out = wm;
elseif strcmp(inputname(1),'monkey1')
  load cheesy wm1
  out = wm1;
elseif strcmp(inputname(1),'monkey2')
  load cheesy wm2
  out = wm2;
elseif strcmp(inputname(1),'monkey3')
  load cheesy wm3
  out = wm3;
elseif strcmp(inputname(1),'monkey4')
  load cheesy wm4
  out = wm4;
elseif strcmp(inputname(1),'monkey')
  load cheesy wmm
  out = wmm;
else
  error('If you''re trying your own experiment, you should use the (slooow) verify1 function.')
end

figure(29)
imshow(out)

